# frozen_string_literal: true

lib = File.expand_path('lib', __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'twitter_snowflake/version'

Gem::Specification.new do |spec|
  spec.name    = 'twitter_snowflake'
  spec.version = TwitterSnowflake::VERSION
  spec.authors = %w[asyncnoodle]

  spec.summary  = 'Ruby library to handle Twitter snowflake IDs.'
  spec.homepage = 'https://github.com/asyncnoodle/TwitterSnowflake.rb'
  spec.license  = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features|examples|lib/discordrb/webhooks)/}) }
  spec.require_paths = %w[lib]

  spec.add_development_dependency 'rspec', '~> 3.8.0'
  spec.add_development_dependency 'rubocop', '~> 0.74.0'
  spec.add_development_dependency 'yard', '~> 0.9.9'
end